IP_MULTICAST_IF(2const)

NAME
IP_MULTICAST_IF - local device for a multicast socket

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <netinet/in.h>  /* Definition of IP* constants */
#include <sys/socket.h>

int setsockopt(int sockfd, IPPROTO_IP, IP_MULTICAST_IF,
               const void val[size], size_t size);
int getsockopt(int sockfd, IPPROTO_IP, IP_MULTICAST_IF,
               struct in_addr *val, sizeof(struct in_addr));

DESCRIPTION
Set the local device for a multicast socket.

The argument for setsockopt(2) is an ip_mreqn(2type) or (since Linux 3.5) ip_mreq(2type) structure, or an in_addr(2type) structure. (The kernel determines which structure is being passed based on the size passed in size.)

ERRORS
See IPPROTO_IP(2const). See setsockopt(2). See ip(7).

HISTORY
Linux 1.2.

SEE ALSO
IPPROTO_IP(2const), in_addr(2type), ip_mreqn(2type), setsockopt(2), ip(7)